Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 100803004: Changed maxInputCount for exact inputCount (Closed)

Created:
5 years, 9 months ago by sugoi1
Modified:
5 years, 9 months ago
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

Changed maxInputCount for exact inputCount Processing still had issue when the number of inputs was 0, so I changed my previous fix from a maximum input count to an exact input count. -1 is used when the input count isn't fixed (but still has to be a non-negative number). BUG= Committed: http://code.google.com/p/skia/source/detail?r=12492

Patch Set 1 #

Total comments: 3

Patch Set 2 : Added doc #

Total comments: 2

Patch Set 3 : Added a few spaces #

Total comments: 2

Patch Set 4 : Fixed input count condition #

Unified diffs Side-by-side diffs Delta from patch set Stats (+15 lines, -11 lines) Patch
M include/core/SkImageFilter.h View 1 2 1 chunk +8 lines, -1 line 0 comments Download
M src/animator/SkScript.cpp View 1 chunk +3 lines, -3 lines 0 comments Download
M src/core/SkImageFilter.cpp View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M src/effects/SkMergeImageFilter.cpp View 3 chunks +2 lines, -5 lines 0 comments Download

Messages

Total messages: 14 (0 generated)
sugoi
5 years, 9 months ago (2013-12-03 16:08:10 UTC) #1
sugoi
https://codereview.chromium.org/100803004/diff/1/src/animator/SkScript.cpp File src/animator/SkScript.cpp (left): https://codereview.chromium.org/100803004/diff/1/src/animator/SkScript.cpp#oldcode1538 src/animator/SkScript.cpp:1538: SkASSERT(0); // must call through instance version instead of ...
5 years, 9 months ago (2013-12-03 16:10:21 UTC) #2
Stephen White
https://codereview.chromium.org/100803004/diff/1/include/core/SkImageFilter.h File include/core/SkImageFilter.h (left): https://codereview.chromium.org/100803004/diff/1/include/core/SkImageFilter.h#oldcode159 include/core/SkImageFilter.h:159: explicit SkImageFilter(int maxInputCount, SkFlattenableReadBuffer& rb); Please document the -1 ...
5 years, 9 months ago (2013-12-03 16:22:35 UTC) #3
sugoi
https://codereview.chromium.org/100803004/diff/1/include/core/SkImageFilter.h File include/core/SkImageFilter.h (left): https://codereview.chromium.org/100803004/diff/1/include/core/SkImageFilter.h#oldcode159 include/core/SkImageFilter.h:159: explicit SkImageFilter(int maxInputCount, SkFlattenableReadBuffer& rb); On 2013/12/03 16:22:36, Stephen ...
5 years, 9 months ago (2013-12-03 16:30:52 UTC) #4
Stephen White
https://codereview.chromium.org/100803004/diff/20001/include/core/SkImageFilter.h File include/core/SkImageFilter.h (right): https://codereview.chromium.org/100803004/diff/20001/include/core/SkImageFilter.h#newcode159 include/core/SkImageFilter.h:159: /** Ubernit: the other C-style comments in this file ...
5 years, 9 months ago (2013-12-03 18:54:28 UTC) #5
sugoi
https://codereview.chromium.org/100803004/diff/20001/include/core/SkImageFilter.h File include/core/SkImageFilter.h (right): https://codereview.chromium.org/100803004/diff/20001/include/core/SkImageFilter.h#newcode159 include/core/SkImageFilter.h:159: /** On 2013/12/03 18:54:29, Stephen White wrote: > Ubernit: ...
5 years, 9 months ago (2013-12-03 18:59:36 UTC) #6
Stephen White
https://codereview.chromium.org/100803004/diff/40001/src/core/SkImageFilter.cpp File src/core/SkImageFilter.cpp (right): https://codereview.chromium.org/100803004/diff/40001/src/core/SkImageFilter.cpp#newcode58 src/core/SkImageFilter.cpp:58: if (buffer.validate(((inputCount < 0) && (fInputCount >= 0)) || ...
5 years, 9 months ago (2013-12-03 19:10:23 UTC) #7
sugoi
https://codereview.chromium.org/100803004/diff/40001/src/core/SkImageFilter.cpp File src/core/SkImageFilter.cpp (right): https://codereview.chromium.org/100803004/diff/40001/src/core/SkImageFilter.cpp#newcode58 src/core/SkImageFilter.cpp:58: if (buffer.validate(((inputCount < 0) && (fInputCount >= 0)) || ...
5 years, 9 months ago (2013-12-03 19:21:49 UTC) #8
Stephen White
LGTM
5 years, 9 months ago (2013-12-03 20:19:40 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://skia-tree-status.appspot.com/cq/sugoi@chromium.org/100803004/50005
5 years, 9 months ago (2013-12-04 16:46:14 UTC) #10
commit-bot: I haz the power
Presubmit check for 100803004-50005 failed and returned exit status 1. Running presubmit commit checks ...
5 years, 9 months ago (2013-12-04 16:46:16 UTC) #11
bsalomon
On 2013/12/04 16:46:16, I haz the power (commit-bot) wrote: > Presubmit check for 100803004-50005 failed ...
5 years, 9 months ago (2013-12-04 18:42:52 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://skia-tree-status.appspot.com/cq/sugoi@chromium.org/100803004/50005
5 years, 9 months ago (2013-12-04 18:46:53 UTC) #13
commit-bot: I haz the power
5 years, 9 months ago (2013-12-04 20:07:49 UTC) #14
Message was sent while issue was closed.
Change committed as 12492

Powered by Google App Engine
This is Rietveld 408576698